Ergebnis 1 bis 12 von 12

Thema: Bootstrap Dropdown Untermenü öffnet sich nicht, weder bei Hover noch bei Klick

  1. #1
    Contao-Nutzer Avatar von Carino
    Registriert seit
    19.06.2009.
    Ort
    Reichshof, NRW
    Beiträge
    208

    Standard Bootstrap Dropdown Untermenü öffnet sich nicht, weder bei Hover noch bei Klick

    Hallo zusammen,

    das ist meine erste Bootstrap Installation und ich habe gefühlt alles an Dokumentation gelesen, was ich finden konnte. Doch ich bekomme es nicht hin, dass das Untermenü sich öffnet. JQuery wird geladen, CSS, JS alles im Seitenlayout aktiv, genauso wie fe_bootstrap und die Konsole ist fein - doch irgendwas hab ich übersehen. Hier ein Beispiellink: https://hgs-borchert.de/start.html

    Vielleicht hat jemand einen Hinweis, wo ich ansetzen kann?

    LG, Carino

  2. #2
    Contao-Fan
    Registriert seit
    24.02.2021.
    Beiträge
    540
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Das Untermenü ist in deiner Beispielsseite, welche keinerlei CSS und kein JS einbindet schon sichtbar.
    Du musst die Bootstrap.css und das JavaScript einbinden.

    - - - Aktualisiert - - -

    Wo du diese findest, kann ich dir leider nicht sagen - ohne CSS und JS ist es nur eine leere Seite

  3. #3
    Contao-Nutzer Avatar von Carino
    Registriert seit
    19.06.2009.
    Ort
    Reichshof, NRW
    Beiträge
    208

    Standard

    Hey zoglo,

    danke für deine Antwort! Ja, ich arbeite gerade dran, so wie ich erfahren habe, funktioniert Contao Bootstrap noch nicht mit 4.13 dafür braucht man wohl: https://github.com/markocupic/contao...nent-bootstrap

    Damit versuche ich es gerade, aber scheitere am Import:

    // Import some other custom style definitions
    //@import "base/page";
    //@import "base/layout";
    //@import "base/type";

    gibt Fehler aus.

  4. #4
    Contao-Fan
    Registriert seit
    24.02.2021.
    Beiträge
    540
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Welche Fehler?

    du kannst keine .css einbinden mit Import-Rulesets über die internen Stylesheets.
    Du musst diese Dateien kompilieren.

    https://sass-lang.com/

  5. #5
    Contao-Urgestein Avatar von zonky
    Registriert seit
    19.03.2010.
    Ort
    Berlin, Rdf
    Beiträge
    9.763
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von Carino Beitrag anzeigen
    Ja, ich arbeite gerade dran, so wie ich erfahren habe, funktioniert Contao Bootstrap noch nicht mit 4.13 dafür braucht man wohl: https://github.com/markocupic/contao...nent-bootstrap
    die Aussage stimmt so nicht...

    Hier geht es um die Erweiterung https://github.com/contao-bootstrap die für sich bzw. mit seinen Einzelkomponenten funktioniert - und das für Contao 4.13 und Contao 5.3 mit BS 4 oder 5... je nach Version der Erweiterung

    Für das Einbinden der passenden CSS/JS-Dateien ist man selbst verantwortlich und kann (muss) das an den eigenen Workflow anpassen.

  6. #6
    Contao-Nutzer Avatar von Carino
    Registriert seit
    19.06.2009.
    Ort
    Reichshof, NRW
    Beiträge
    208

    Standard

    Hallo und danke für eure Antworten!

    Oh okay, ich habe die Änderungen wieder zurückgestellt wie zum Anfang meines Problems: https://hgs-borchert.de/start.html

    Nach meiner Recherche auf https://contao-bootstrap.de/#download heißt es:

    Version 3
    Die Version 3 ist basiert auf Bootstrap 5 und steht für Contao 4.13 und 5.3 zur Verfügung. Es wird aktuell über ein Early-Adopter-Programm finanziert.

    Version 2
    Die Version 2 ist basiert auf Bootstrap 4 und steht für Contao 4 ab Version 4.4 zur Verfügung. Diese Version wird aktiv weiterentwickelt. Der Funktionsumfang wird auf dieser Projektseite dargestellt.

    Das heißt, der Kunde müsste am Early-Adopter-Programm teilnehmen, damit das ganze für Contao 4.13 funktioniert. Oder lese ich das falsch?

    Es wirkt so als würde die jQuery Datei nicht geladen werden, jedenfalls funktionieren so die Dropdown Menüs leider nicht.

    LG Carino

  7. #7
    Contao-Urgestein Avatar von zonky
    Registriert seit
    19.03.2010.
    Ort
    Berlin, Rdf
    Beiträge
    9.763
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von Carino Beitrag anzeigen
    Version 2
    Die Version 2 ist basiert auf Bootstrap 4 und steht für Contao 4 ab Version 4.4 zur Verfügung. Diese Version wird aktiv weiterentwickelt. Der Funktionsumfang wird auf dieser Projektseite dargestellt.

    Das heißt, der Kunde müsste am Early-Adopter-Programm teilnehmen, damit das ganze für Contao 4.13 funktioniert. Oder lese ich das falsch?
    ja, falsch!

    ... da steht ab Version 4.4 - z. B. ist der Core 2.1 ab 4.9, d.h. alles was eine vier vorn hat aber kleiner als fünf ist
    https://github.com/contao-bootstrap/...poser.json#L34

    perspektivisch würde ich bei einem neuen Projekt aber das Paket 3 für BS 5 nehmen, was sowohl für 4.13 als auf 5.3 geht...

  8. #8
    Contao-Nutzer Avatar von Carino
    Registriert seit
    19.06.2009.
    Ort
    Reichshof, NRW
    Beiträge
    208

    Standard

    Dankeschön

    Ja, wenn ich damit zurecht komme ist es auch der Plan hier mit der neuen Version zu arbeiten und am dem Projekt teilzunehmen,
    bei diesem Projekte geht das jedoch leider noch nicht.

    Wenn es mir 4.13 funktioniert, habe ja irgendwo noch einen Denkfehler. Egal wie ich das Dropdown Menü einbinde, es lässt sich nirgends per Klick öffnen https://hgs-borchert.de/start.html oder muss ich das Bundle hier installieren, statt die einzelnen Komponenten, damit es für 4.13 lauffähig ist?

    LG Carino

  9. #9
    Contao-Urgestein Avatar von zonky
    Registriert seit
    19.03.2010.
    Ort
    Berlin, Rdf
    Beiträge
    9.763
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von Carino Beitrag anzeigen
    Wenn es mir 4.13 funktioniert, habe ja irgendwo noch einen Denkfehler. Egal wie ich das Dropdown Menü einbinde, es lässt sich nirgends per Klick öffnen https://hgs-borchert.de/start.html
    das sind zwei paar Schuhe!

    erstens das Installieren das Paketes und zweitens die Konfiguration

    Punkt 1 ist recht binär: geht oder geht nicht bzw. Du hast es installiert oder nicht

    Punkt 2 kann viele Gründe haben...

    => sind Deine Fragen primär zu Punkt 1 oder 2?

  10. #10
    Contao-Nutzer Avatar von Carino
    Registriert seit
    19.06.2009.
    Ort
    Reichshof, NRW
    Beiträge
    208

    Standard

    Also falls das Dropdown Menü deshalb nicht funktioniert, da ich statt des Bundles die Einzelkomponenten installiert habe, geht es eher um das Installieren des Pakets.
    Ich habe aber auch hier gelesen:

    Bootstrap für Contao wurde für Contao 4.4 entwickelt und ist daher noch nicht mit Contao 4.13 aufgrund der geänderten Abhängigkeiten kompatibel.
    Also im Grunde suche ich eine Möglichkeit Bootstrap für 4.13 lauffähig zu bekommen, dass auch das Menü (wie auch Grid, Cards, Layout etc.) funktioniert. Deshalb wurde ich auf Contao Component Bootstrap aufmerksam gemacht, da es damit wohl funktioniert.

  11. #11
    Contao-Urgestein Avatar von zonky
    Registriert seit
    19.03.2010.
    Ort
    Berlin, Rdf
    Beiträge
    9.763
    User beschenken
    Wunschliste

    Standard

    der Text ist nicht mehr aktuell - das läuft unter Contao 4.13 prima...

    Tipp: du solltest nicht alles mixen, was erreichbar ist - es sieht eher so aus, als ob Du BS 5 in BfC 2 eingebunden hast... kann man manchen, wenn man einen Plan hat ;-)

    Wenn ich mir bei Deiner Seite die Konsolenausgabe ansehe, ist die (zu) "Rot" - das muss gefixt werden


    Beispiele:
    https://www.scrum-events.de/
    https://www.gut-cert.de
    https://ibera.dgk.de/

  12. #12
    Contao-Nutzer Avatar von Carino
    Registriert seit
    19.06.2009.
    Ort
    Reichshof, NRW
    Beiträge
    208

    Standard

    Oha, danke!

    Ich habe jetzt die Sourcess gegen bootstrap-4.6.2 ausgetauscht und jetzt klappen die Dropdowns (auch wenn ich anfangs 2x klicken muss), damit sollte ich aber weiterkommen.
    Edit: 2x klicken musste ich, da ich bootstrap.bundle.min.js und bootstrap.min.js gleichzeitig eingebunden hatte. Jetzt gehts :-)

    Herzlichen Dank
    Geändert von Carino (30.04.2024 um 15:57 Uhr)

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 2 (Registrierte Benutzer: 0, Gäste: 2)

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •